return {
  -- Signatures plugin to show function signatures as you type them
  {
    "ray-x/lsp_signature.nvim",
    event = "BufRead",
    config = function()
      require("lsp_signature").setup {
        hint_enable = false,
      }
    end,
  },

  -- Rooter plugin to change directory to the project root
  {
    "notjedi/nvim-rooter.lua",
    event = "UIEnter",
    config = function()
      require("nvim-rooter").setup {
        rooter_patterns = { "Makefile", ".git", ".hg", ".svn" },
        trigger_patterns = { "*" },
        manual = false,
      }
    end,
  },

  -- Leap plugin to jump to any line in the file
  {
    "ggandor/leap.nvim",
    event = "UIEnter",
    config = function() require("leap").add_default_mappings() end,
  },

  -- Copilot plugin to autocomplete text
  {
    "zbirenbaum/copilot.lua",
    cmd = "Copilot",
    event = "InsertEnter",
    config = function()
      require("copilot").setup {
        suggestion = { enabled = false },
        panel = { enabled = false },
        filetypes = { markdown = true },
      }
    end,
  },

  -- Copilot CMP plugin to autocomplete text in the completion menu
  {
    "zbirenbaum/copilot-cmp",
    event = "InsertEnter",
    config = function() require("copilot_cmp").setup() end,
  },
  'simrat39/rust-tools.nvim'
}
